Subject: Re: ANN: Tunnelling NNCP over (ssh, sudo, tor, S3, Nextcloud, syncthing, uucp)

From: Sergey Matveev <[email-masked]>
Date: Tue, 24 Aug 2021 13:09:54 +0300

*** John Goerzen [2021-08-23 21:31]:
>I've worked with 1200bps amateur packet
>radio, across which you can actually run a TCP/IP stack using a protocol
>called AX.25.  It works but it is painful.

You can still use that communication to chat with the person about the
meeting, where you can share you USB/CD/tape drives with terabytes of
NNCP packets :-)

>Taylor UUCP does still have half-duplex support in various protocols!

I used to use USRobotic Courier with its proprietary HST protocol that
was literally just amazing on bad channels, like nearly the whole
telephone system was in Russia in 90s :-). So those Couriers were some
kind of de-facto hardware to work with and it was worth of it! And here
I got to know that half/full-duplex meant :-). HST protocol was some
kind of half-duplex (it can reverse its "directions", but made it very
slowly) and you could not use bidirectional full-featured transmissions.
In theory NNCP can be used with it with explicit tx/rx directions, where
only small DONE-packets are sent back. Of course I doubt anyone checked
it in practice :-)

>I wished the code was more modular, because they are some of the best
>protocols I am aware of for doing file transfer over unreliable, slow,
>half-duplex links.

Just out of curiosity, do you have experience with Kermit protocol? I
read many articles saying that Kermit is better that UUCP's
protocol-g/whatever, others are saying otherwise. Just interesting. Wish
I had enough time to play with all that things :-(

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF